@import url('https://fonts.googleapis.com/css2?family=Inter:ital,opsz,wght@0,14..32,100..900;1,14..32,100..900&display=swap');

body {
    /* min-height: 100vh !important; */
    background: linear-gradient(180deg, #FFB9B9 0%, #FFF 100%), #FFF;
    font-family: "Inter", Arial, Helvetica, sans-serif !important;
    overflow-x: hidden;
}
.navbar {
    background: linear-gradient(180deg, rgba(0, 0, 0, 0.35) 0%, rgba(102, 102, 102, 0.00) 100%), #FFB9B9 !important;
}

button {
    border-radius: .5em !important;
}

.index-container {
    display: flex;
    justify-content: center;
    flex-direction: column;
    min-height: 90vh;
}

.index-container-half {
    display: flex;
    justify-content: center;
    flex-direction: column;
    min-height: 50vh;
}

.keyword-container, .selected-list { 
    display: flex;
    padding: 0;
    width: 100%;
    flex-wrap: wrap;
    gap: .5em;
}

.date-input {
    height: 44px;
    border: 1px solid #808080;
    border-radius: .5em;
    padding-left: .5em;
    background-color: rgba(255, 255, 255, 0.5);
}

.selected-list {
    margin: 0;
}

.selected-keyword {
    margin-top: .5em !important;
}

.keyword {
    list-style: none;
    display: inline-block;
    margin: 0;
    /* padding: 2px 5px; */
    border-radius: 20px;
    background-color: rgba(255, 255, 255, 0.5);
    transition: all .25s;
    border: 1px solid rgba(222, 222, 222, 0.5);
}

.keyword:hover {
    background-color: white;
}

.keyword-link {
    text-decoration: none;
    display: inline-block;
    padding: 5px 10px;
    border-radius: 20px;
    color: rgba(3, 0, 0, 0.65) !important;
}

.keyword.active {
    background-color: oklch(92.5% 0.084 155.995 / 0.50);
    border-color: oklch(92.5% 0.084 155.995);
}

.keyword.historical {
    background-color: oklch(80.8% 0.114 19.571 / 0.50);
    border-color: oklch(80.8% 0.114 19.571);
}

.form-control {
    border: none !important;
    border-radius: .5em !important;
    background: none !important;
}

.search-input-container {
    width: 100%;
    background-color: rgba(255, 255, 255, 0.5);
    border: 1px solid #808080;
    display: flex;
    justify-content: center;
    align-items: center;
    height: 58px;
    border-radius: .5em;
}

.search-input-container.icon {
    position: relative;
}

.search-input-container.icon input, .search-input-label {
    padding-left: 2em !important;
}

.search-input {
    width: 100%;
    height: 100%;
    border: none;
    border-radius:.5em;
    padding-left: .5em;
    background: none;
}

.input-icon{
    position: absolute;
    transform: translate(calc(-50% + 1em), -50%) !important;

    left: 0 !important;

    top: 50% !important;
}

.search-form {
    display: flex;
    flex-direction: row;
    gap: .5em;
    width: 100%;
}

.search-form i {
    color: #740f2f;
}

.btn-primary {
    background-color: #740f2f !important;
    border: 1px solid #740f2f !important;
}

.btn-outline-primary {
    color: #740f2f !important;
    border-color: #740f2f !important;
}

.btn-radio-group .btn-check:checked+.btn {
    background-color: #740f2f !important;
    color: white !important;
}

.btn-outline-primary:hover, .btn-outline-primary:focus-visible {
    color: #ffffff !important;
    background-color: #740f2f !important;
}

.btn-primary:hover {
    background-color: #55232f !important;
    color: white !important;
}

.actions {
    flex-basis: 20%;
    flex-shrink: 0;
}


/* .search-input:focus-visible {
    outline: none;
} */

.navbar-brand {
    transition: transform 0.3s ease;
}

.navbar-brand:hover {
    transform: scale(1.05);
}

.navbar-collapse {
    flex-grow: unset !important;
}

.navbar-nav .active {
    font-weight: bolder !important;
}

.navbar-nav .active::after {
    content: '';
    display: block;
    width: 100%;
    height: 2px;
    background-color: #740f2f;
    margin-top: 1px;
}

.dropdown-input{
    padding-right: .5em;
}

.advanced-filters{
    display: flex;
    flex-direction: column;
    gap: .75rem;
}

.dropdown-results {
    position: absolute;
    min-height: .5em;
    background-color: white;
    width: 100%;
    z-index: 1;
    display: flex;
    flex-direction: column;
    list-style: none;
    padding: 0;
}

.dropdown-result {
    padding: .5em;
}

/* .result-container { 
    max-width: 1000px; 
    margin: 2rem auto;
} */

.header-container { 
    position: relative;
    padding: 1rem;
    background: white;
    border-radius: .25rem .25rem 0 0; 
}

.back-button { 
    font-size: 2.5rem;
    text-decoration:none;
    color:#000; 
}
.back-button:hover { 
    color:#000; 
}

.detail-container { 
    background: white; 
    padding:1rem; 
}

.stat-icon { 
    font-size: 1.5rem;
    vertical-align: -0.1rem; 
    margin-right: .25rem;
    color: black; 
}

.tags { 
    margin-bottom: 1rem; 
}
.tags .badge { 
    font-size: .9rem; 
}

.button-container {
    display: flex;
    justify-content: center;
    gap: 1rem;
    margin-bottom: 2rem;
}
.button-container .btn { 
    flex: 1;
}

.button-container .apply-btn {
    background-color: maroon;
    color: white;
}

.text-container h3 { 
    margin-top: 1.5rem; 
}


.view-saved-btn {
    margin-bottom: 1rem;
    display: inline-block;
}


.job-card {
    display: block;
    text-decoration: none;
    color: inherit;
    border: 1px solid #ddd;
    padding: 1rem;
    margin-bottom: 1rem;
    border-radius: 4px;
}

.job-card h3 { margin: 0 0 .5rem; }
.inner-container {
    padding: 1em;
    height: 800px;
    position: relative;
    overflow-y: auto;
}

.section-container {
    padding: 1em;
    background-color: rgba(255, 255, 255, 0.5);
    border-radius: 1em;
    border: 1px solid rgba(128, 128, 128, 0.25);
    display: flex;
    flex-direction: column;
    gap: .5em;

}

/* list view result */
.section-container .result-container {
    width: 100%;
    list-style: none;
    padding: 0;
    margin: 0;
    display: flex;
    flex-direction: column;
    gap: .5em;
} 

.section-container .result-container .result {
    width: 100%;
    padding: 1em;
    background-color: white;
    border-radius: 1em;
}

.inner-container::-webkit-scrollbar {
    width: 1px;
    padding-right: 100px;
    left: -100px;
    border: 10px solid rgba(0, 0, 0, 0.);

}

.inner-container::-webkit-scrollbar-thumb{
    background-clip: padding-box;
    border-radius: 9999px;
    background-color: #b0b0b0b1;
    border: 10px solid rgba(0, 0, 0, 0.);
}

.result .content {
    text-decoration: none !important;
    color: #000;
}


.result:hover, .card:hover {
    background-color: #f8f8f8 !important;
}

.content:hover {
    color: #740f2f;
}

.table--no-bg {
  --bs-table-bg: transparent !important;
  --bs-table-bg-state: transparent !important;
  --bs-table-bg-type: transparent !important;
  --bs-table-accent-bg: transparent !important;
  --bs-table-border-color:  rgba(81, 81, 81, 0.5) !important;
}


/* end list view result */
.logo-container {
    width: 100%;

}

.logo-container img {
    width: 250px;
}

.bg-container {
    background: linear-gradient(180deg, #FFB9B9 0%, #f8f9fa 100%), #FFF;
}

.bg-container-reverse {
    background: linear-gradient(180deg, #f8f9fa 0%, #FFB9B9 100%), #FFF;
}

.bg-container-red {
    background-color: #FFB9B9 !important;
}


.index-icon {
    height: 250px;
}

.blur-img {
    position: absolute;
    top: 50%;
    transform: translate(-50%, -50%);
    left: 50%;
    filter: blur(15px);
    z-index: 0;
    opacity: .25;
    height: 600px;
    will-change: transform;
    transform: translate3d(-50%, calc(-50% + var(--scroll-offset, 0px)), 0);
    max-width: 100%;
}

body {
    --scroll-offset: 0px;
}

.btn.instruction-button.active {
    background-color: #740f2f;
    color: white;
    padding: 0.5em 1em;
    border-radius: 0.5em;
    transition: background-color 0.3s ease, color 0.3s ease;
}

.btn.instruction-button.active:hover {
    background-color: #55232f;
    color: #ffffff;
}

.btn.instruction-button:hover, .btn.instruction-button:focus {
    border: 1px solid #740f2f6c;
}

.instruction {
    display: none;
}

.instruction.active {
    display: block;
}

.form-control:focus, .nav-link:focus-visible, .btn:focus-visible, .page-link:focus, .btn-check:focus-visible+.btn.tab {
    box-shadow: 0 0 0 .25rem rgba(112, 46, 61, .25) !important;
}

.tutorial-img-container{
    width: 100%;
    object-fit: cover;
}

.tutorial-img{
    width: 100%;
    border-radius: .5em;
}

.footer-logo-container {
    width: 50%;
    display: block;
}

.footer-logo{
    width: 100%;

}

.footer-link {
    color: white !important;
    text-decoration: none !important;
    padding: 6px 0 !important; 
    display: inline-block; 
    transition: all .15s ease ;
}

.footer-link:hover {
    color: rgb(221, 221, 221) !important;
    transform: scale(1.05);
}

.footer-list-element {
    height: fit-content !important;
    box-sizing: border-box;
    margin: 6px 0;
}

.h-fit-content {
    height: fit-content !important;
}
.w-fit-content {
    width: fit-content !important;
}

.pagination {
    --bs-pagination-color: #740f2f;
    --bs-pagination-hover-color: #740f2f;
    --bs-pagination-active-border-color: #740f2f;
    --bs-pagination-active-bg: #740f2f;
    --bs-pagination-focus-color: #740f2f !important;
}

.navbar-brand .future-intern-text {
    transform: translateX(-3em);
    opacity: 0;
    transition: all .25s;
}
.navbar-brand .smile {
    transform: translateX(.5em);
    top: 0;
    left: 0;
    opacity: 0;
    transition: all .25s;
}

.navbar-brand:hover > .future-intern-text, .navbar-brand:focus > .future-intern-text  {
    transform: translateX(0em);
    opacity: 1;
}

.navbar-brand:hover > .environment, .navbar-brand:focus > .environment  {
    opacity: 0;
}

.environment {
    left: 3em;
}

.navbar-brand:hover .smile, .navbar-brand:focus .smile {
    transform: translateX(0em);
    opacity: 1;
}

.navbar-brand .header-logo-container img, .navbar-brand .header-logo-container  {
    width: 44px;
}

.ui-autocomplete {
    max-height: 250px;
    overflow-y: auto;
}

.chart-container {
    height: 350px;
}

.btn.tab {
    color: #000 !important;
    border: none;
    padding: 1em 0;
}
.btn.tab:hover {
    background-color: transparent !important;
}

.tab:focus{
    background-color: #000 !important;  
}

.btn-check:checked+.btn.tab {
    background-color: transparent;
    color: #740f2f !important;
}

.btn-check:checked+.btn.tab::after {
    content: '';
    position: absolute;
    left: 0;
    bottom: 0;
    height: 4px;
    width: 100%;
    background-color: #740f2f;
    border-radius: 2px;
}

.card-icon {
    font-size: 6rem;
}

.card {
    margin: 1rem;
    text-align: center;
    text-decoration: none !important;
    border-radius: 1em;
    border: none;
}

.card > a
{
    text-decoration: none !important;
 }

.card.disabled {
    background-color: rgb(246, 246, 246);
    opacity: .75;
    cursor: not-allowed !important;
}

.insights-table {
    table-layout: fixed;
    min-width: 1112px;
}

.insights-table td, .insights-table th {
    text-align: center !important;
}

#search-form {
    display: flex;
}